Bug 26825 - Add span for publication date in OPAC
Summary: Add span for publication date in OPAC
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on: 16696
Blocks:
  Show dependency treegraph
 
Reported: 2020-10-26 19:22 UTC by Barbara Johnson
Modified: 2020-11-04 12:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26825: Add span for publication date in OPAC (7.70 KB, patch)
2020-10-27 15:12 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26825: Add span for publication date in OPAC (7.75 KB, patch)
2020-10-27 18:56 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 26825: Add span for publication date in OPAC (7.80 KB, patch)
2020-10-30 13:58 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Barbara Johnson 2020-10-26 19:22:21 UTC
In a list of search results on the OPAC the publication date is contained in the 
.results_summary span along with place of publication and publisher.  It would be great to add a span specifically for the publication date so that it could be styled separately or so that the place of publication and publisher could be hidden while still showing the pub date.
Comment 1 Owen Leonard 2020-10-27 15:12:50 UTC
Created attachment 112580 [details] [review]
Bug 26825: Add span for publication date in OPAC

This patch modifies the XSL templates for OPAC results and OPAC details
so that the parts of the publisher details are wrapped separate <span>s:
Publisher place, name, and date.

To test, apply the patch "restart_all" if necessary.

You can add this to the OPACUserCSS system preference to better see the
change:

.publisher_place { color: red; }
.publisher_name { color: green; }
.publisher_date { color: orange; }

- Peform a search in the OPAC
- In the search results, confirm that the publisher plac, name, and date
  are wrapped in separate <span>s, either by confirming the custom
  colors or by inspecting the source.
- View the details for one of the results. Confirm that the same change
  has been made to the detail page.
Comment 2 ByWater Sandboxes 2020-10-27 18:56:21 UTC
Created attachment 112589 [details] [review]
Bug 26825: Add span for publication date in OPAC

This patch modifies the XSL templates for OPAC results and OPAC details
so that the parts of the publisher details are wrapped separate <span>s:
Publisher place, name, and date.

To test, apply the patch "restart_all" if necessary.

You can add this to the OPACUserCSS system preference to better see the
change:

.publisher_place { color: red; }
.publisher_name { color: green; }
.publisher_date { color: orange; }

- Peform a search in the OPAC
- In the search results, confirm that the publisher plac, name, and date
  are wrapped in separate <span>s, either by confirming the custom
  colors or by inspecting the source.
- View the details for one of the results. Confirm that the same change
  has been made to the detail page.

Signed-off-by: B Johnson <barbara.johnson@bedfordtx.gov>
Comment 3 Tomás Cohen Arazi 2020-10-30 13:58:24 UTC
Created attachment 112701 [details] [review]
Bug 26825: Add span for publication date in OPAC

This patch modifies the XSL templates for OPAC results and OPAC details
so that the parts of the publisher details are wrapped separate <span>s:
Publisher place, name, and date.

To test, apply the patch "restart_all" if necessary.

You can add this to the OPACUserCSS system preference to better see the
change:

.publisher_place { color: red; }
.publisher_name { color: green; }
.publisher_date { color: orange; }

- Peform a search in the OPAC
- In the search results, confirm that the publisher plac, name, and date
  are wrapped in separate <span>s, either by confirming the custom
  colors or by inspecting the source.
- View the details for one of the results. Confirm that the same change
  has been made to the detail page.

Signed-off-by: B Johnson <barbara.johnson@bedfordtx.gov>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 Jonathan Druart 2020-11-04 12:04:33 UTC
Pushed to master for 20.11, thanks to everybody involved!